public class Node<T> {
    private T data;
    private Node<T> next;

    Node(T value) {
        setData(value);
        setNext(null);
    }

    Node(T value, Node<T> nextNode) {
        setData(value);
        setNext(nextNode);
    }

    public T getData() {
        return data;
    }

    public void setData(T value) {
        data = value;
    }

    public Node<T> getNext() {
        return next;
    }

    public void setNext(Node<T> nextNode) {
        next = nextNode;
    }

}
